%define debug_package %{nil}
%define major 3

%define libname   %mklibname %{name}_ %{major}
%define devel %mklibname %{name} -d

Name: catch2
Version: 3.8.1
Release: %mkrel 1
Summary: Modern, C++-native, header-only, framework for unit-tests, TDD and BDD
URL: https://github.com/catchorg/Catch2/
Source0: https://github.com/catchorg/Catch2/archive/refs/tags/v%{version}/catch2-%{version}.tar.gz
License: BSL-1.0
Group: System/Libraries

BuildRequires: cmake

%description
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.

%package        -n %{devel}
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
 
%description    -n %{devel}
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience

%package	-n %{libname}
Summary:	Library files for %{name}

%description	-n %{libname}
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience

%prep
%autosetup -p 1 -n Catch2-%{version}

%build
%cmake \
    -DCATCH_BUILD_EXTRA_TESTS=ON \
    -DCATCH_ENABLE_WERROR=OFF \
    -DCATCH_INSTALL_DOCS=OFF \
    -DBUILD_SHARED_LIBS=ON
%cmake_build
	
%install
%cmake_install
 
%check
%ctest

%files -n %{libname}
%{_libdir}/*Catch2*.so{,.*}

%files -n %{devel}
%doc README.md CODE_OF_CONDUCT.md docs
%license LICENSE.txt
%{_includedir}/catch2/
%{_datadir}/Catch2/
%{_datadir}/pkgconfig/catch2*.pc
%{_libdir}/cmake/Catch2/
%{_libdir}/*Catch2*.so


%changelog
* Mon May 05 2025 kekepower <kekepower> 3.8.1-1.mga10
+ Revision: 2181115
- Update to version 3.8.1

* Wed Oct 09 2024 kekepower <kekepower> 3.7.1-1.mga10
+ Revision: 2104304
- Update to version 3.7.1

* Wed Aug 21 2024 kekepower <kekepower> 3.7.0-1.mga10
+ Revision: 2087247
- Update to version 3.7.0

* Mon May 06 2024 kekepower <kekepower> 3.6.0-1.mga10
+ Revision: 2062596
- Update to version 3.6.0

* Fri Apr 12 2024 kekepower <kekepower> 3.5.4-1.mga10
+ Revision: 2056715
- Update to version 3.5.4

* Tue Mar 12 2024 kekepower <kekepower> 3.5.3-1.mga10
+ Revision: 2049493
- Update to version 3.5.3

* Sun Feb 11 2024 kekepower <kekepower> 3.5.2-1.mga10
+ Revision: 2040225
- Update to version 3.5.2

* Sun Jan 07 2024 kekepower <kekepower> 3.5.1-1.mga10
+ Revision: 2028488
- Update to version 3.5.1

* Mon Dec 11 2023 kekepower <kekepower> 3.5.0-1.mga10
+ Revision: 2017138
- Update to version 3.5.0

* Mon Aug 28 2023 kekepower <kekepower> 3.4.0-1.mga10
+ Revision: 1980643
- imported package catch2

